import React from 'react'
import { CloseOutlined } from '@ant-design/icons'
import styles from './index.less'

const hexToRgba = (hex, opacity) => {
  if (hex) {
    if(hex.includes("#")){
      // 去除#号
      const color = hex.replace("#", "");

      // 分割成红、绿、蓝三部分的16进制字符串
      const red = parseInt(color.substring(0,2), 16);
      const green = parseInt(color.substring(2,4), 16);
      const blue = parseInt(color.substring(4,6), 16);

      return `RGB(${red}, ${green}, ${blue},${opacity})`;
    } else {
      let rgb = hex.split('(')[1].split(')')[0].split(',')
      return 'rgba(' + rgb[0].trim() + ',' + rgb[1].trim() + ',' + rgb[2].trim() + ',' + opacity + ')'
    }
  }
  return null
}

const TagPack = (props) => {

  const { color, text, onClose } = props

  return (
    <span
      className={styles.tagPack}
      style={{ background: hexToRgba(color, 0.3), color: color, border: color ? '1px solid' : 'none' }}
    >
      {text}
      {onClose ? <CloseOutlined style={{ fontSize: '12px', marginLeft: '2px' }} onClick={() => onClose()} /> : null}
    </span>
  )
}

export default TagPack
