import React, {useEffect , Fragment , useState} from "react";
import { GetDeviceTypes } from "../../../../../apis/process";
import { Select } from 'antd';

const DeviceType = (props) => {
  const { onChange , value , addons} = props;
  const [options, setOptions] = useState([]);
  const [loading , setLoading] = useState(false);

  const getDeviceList = async () => {
    setLoading(true);

    const ret = await GetDeviceTypes();
    const arr = [];

    if(ret.code === 0){
      ret.data.forEach((item , index) => {
        arr.push({
          label: `${item.typeName}`,
          key: index,
          value: item.typeName,
        })
      })
    }

    setOptions(arr);
    setLoading(false);
  };

  useEffect(() => {
    getDeviceList();
  } , [])

  return (
    <Fragment>
      <Select  options={options}
               loading={loading}
               optionFilterProp={"label"}
               onChange={(value) => {
                 onChange(value)
               }}
               value={value}
               allowClear
               virtual
               showSearch />
    </Fragment>
  )
}

export default DeviceType;
