import React, {useEffect , Fragment , useState , useRef} from "react";
import { GetSensorType } from "../../../../../apis/process";
import { Select  } from 'antd';

const IndicatorType = (props) => {
  const { onChange , value , addons , schema } = props;
  const { deviceCode } = addons.formData;
  const [options, setOptions] = useState([]);
  const [loading , setLoading] = useState(false);

  const getSensorList = async () => {
    setLoading(true);
    const _IndicatorDeviceExtra = addons.formData._IndicatorDeviceExtra || [];

    const ret = await GetSensorType();
    const arr = [] , obj = {};

    if(ret.code === 0){
      const { data } = ret;

      _IndicatorDeviceExtra?.forEach((extraItem , index) => {
        const currenItem = data.find(item => extraItem.typeID === item.id);

        let unit;
        if(currenItem){
          unit = currenItem.unit;
        }
        arr.push({
          key: index,
          label: unit ? `${extraItem.dName}(${unit})`: extraItem.dName,
          value: extraItem.dName,
        })

        obj[extraItem.dName] = unit;
      })
    }

    setOptions(arr);
    addons.formData._IndicatorType = obj;
    setLoading(false);
  }


  useEffect(() => {
    if(deviceCode){
      getSensorList();
    }
  } , [deviceCode])

  return (
    <Fragment>
      <Select  options={options}
               loading={loading}
               optionFilterProp={"label"}
               onChange={(value) => {
                 if(value.length !== 0){
                   onChange(value.join(','))
                 } else {
                   onChange("");
                 }
               }}
               mode="multiple"
               maxTagCount={4}
               value={value ? value.split(",") : []}
               allowClear
               virtual
               showSearch />
    </Fragment>
  )
}

export default IndicatorType;
